# Run data generation jobs

{% hint style="info" %}
Included in the Basic API.
{% endhint %}

## Add a data generation job to the queue

After you complete the workspace configuration and verify that there are no conflicting schema changes, to start a data generation job, use:

[<mark style="background-color:green;">**POST**</mark>**&#x20;/api/GenerateData/start**](https://app.tonic.ai/apidocs/index.html#/GenerateData/Start)

If the request to create the job is successful, the response returns `id`, the identifier of the job.

You use the job identifier to monitor the job.

## Monitor the status of a job

After you create the data generation job, to get the status of the job, use:

[<mark style="background-color:blue;">**GET**</mark>**&#x20;/api/job/{jobId}**](https://app.tonic.ai/apidocs/index.html#/Job/GetJob)

You can poll this API endpoint regularly to get periodic updates on the job status.&#x20;

For information on how to use the Structural application to track job status, go to [Viewing workspace jobs and job details](/app/workspace/jobs.md).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tonic.ai/app/api/quick-start-guide/tonic-api-data-generation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
